GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_closest_point
GTX Extensions (Experimental)

## Functions
template<typename T , precision P>
detail::tvec3< T, P > | closestPointOnLine (detail::tvec3< T, P > const &point, detail::tvec3< T, P > const &a, detail::tvec3< T, P > const &b)

## Detailed Description

Find the point on a straight line which is the closet of a point.

<glm/gtx/closest_point.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tvec3<T, P> glm::closestPointOnLine | ( | detail::tvec3< T, P > const & | point,
|  | detail::tvec3< T, P > const & | a,
|  | detail::tvec3< T, P > const & | b
| ) |  |

Find the point on a straight line which is the closet of a point.

See Also
  GLM_GTX_closest_point